Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.util.io
Class FileInputAdapter

    java.lang.Object
      org.neuroph.util.io.InputStreamAdapter
          org.neuroph.util.io.FileInputAdapter

All Implemented Interfaces:
  InputAdapter

    public class FileInputAdapter

extends InputStreamAdapter

Implementation of InputAdapter interface for reading neural network inputs from files.

Author:
  Zoran Sevarac
See Also:
  `InputAdapter`

Field Summary

Fields inherited from class org.neuroph.util.io.InputStreamAdapter
`bufferedReader`

Constructor Summary
`FileInputAdapter(File file)` Creates a new FileInputAdapter by opening a connection to an actual file, specified by the file param
`FileInputAdapter(String fileName)` Creates a new FileInputAdapter by opening a connection to an actual file, specified by the fileName param

Method Summary

Methods inherited from class org.neuroph.util.io.InputStreamAdapter
`close, readInput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileInputAdapter

    public FileInputAdapter(File file)
                     throws FileNotFoundException

  Creates a new FileInputAdapter by opening a connection to an actual file, specified by the file param

  Parameters:
    `file` - File object in the file system
  Throws:
    `FileNotFoundException` - if specified file was not found

### FileInputAdapter

    public FileInputAdapter(String fileName)
                     throws FileNotFoundException

  Creates a new FileInputAdapter by opening a connection to an actual file, specified by the fileName param

  Parameters:
    `fileName` - name of the file in file system
  Throws:
    `FileNotFoundException` - if specified file was not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.